Page MenuHomePhabricator

testwiki.log should include all channels
Closed, ResolvedPublic

Description

In the current Wikimedia configuration log events emitted on testwiki go to testwiki.log only if an explicit destination is not specified for them. (Ie. if I set up, say, thumbnail.log for the 'thumbnail' channel, events in that channel don't go to testwiki.log.) Same for testwiki2.

Changing that so that such an event would go both to testwiki.log and to the specified destination might make debugging easier (as long as it does not make testwiki.log too spammy).

Event Timeline

Tgr created this task.Oct 29 2015, 4:13 AM
Tgr raised the priority of this task from to Needs Triage.
Tgr updated the task description. (Show Details)
Tgr added a project: MediaWiki-Debug-Logger.
Tgr added a subscriber: Tgr.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 4:13 AM

Change 269068 had a related patch set uploaded (by BryanDavis):
logging: Send all udp2log eligible messages to $wmgDefaultMonologHandler

https://gerrit.wikimedia.org/r/269068

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 7 2016, 11:19 PM
bd808 claimed this task.Feb 7 2016, 11:22 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptFeb 7 2016, 11:22 PM
bd808 moved this task from To Do to Needs Review/Feedback on the User-bd808 board.Feb 7 2016, 11:22 PM

Change 269068 merged by jenkins-bot:
logging: Send all udp2log eligible messages to $wmgDefaultMonologHandler

https://gerrit.wikimedia.org/r/269068

bd808 closed this task as Resolved.Feb 8 2016, 11:57 PM

The easiest way to verify this is to run grep ' api INFO:' testwiki.log and see the api log events in the combined log.

bd808 moved this task from Needs Review/Feedback to Done on the User-bd808 board.Feb 10 2016, 3:19 AM
bd808 moved this task from Done to Archive on the User-bd808 board.Feb 21 2016, 8:52 PM